## com.lowagie.text.pdf
Class AcroFields.Item

    java.lang.Object
      com.lowagie.text.pdf.AcroFields.Item

Enclosing class:
  AcroFields

    public static class AcroFields.Item

extends java.lang.Object

The field representations for retrieval and modification.

Field Summary
`java.util.ArrayList` `merged` An array of `PdfDictionary` with all the field and widget tags merged.
`java.util.ArrayList` `page` An array of `Integer` with the page numbers where the widgets are displayed.
`java.util.ArrayList` `tabOrder` An array of `Integer` with the tab order of the field in the page.
`java.util.ArrayList` `values` An array of `PdfDictionary` where the value tag /V is present.
`java.util.ArrayList` `widget_refs` An array of `PdfDictionary` with the widget references.
`java.util.ArrayList` `widgets` An array of `PdfDictionary` with the widgets.

Constructor Summary
`AcroFields.Item()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    public java.util.ArrayList values

  An array of `PdfDictionary` where the value tag /V is present.

### widgets

    public java.util.ArrayList widgets

  An array of `PdfDictionary` with the widgets.

### widget_refs

    public java.util.ArrayList widget_refs

  An array of `PdfDictionary` with the widget references.

### merged

    public java.util.ArrayList merged

  An array of `PdfDictionary` with all the field and widget tags merged.

### page

    public java.util.ArrayList page

  An array of `Integer` with the page numbers where the widgets are displayed.

### tabOrder

    public java.util.ArrayList tabOrder

  An array of `Integer` with the tab order of the field in the page.

Constructor Detail

### AcroFields.Item

    public AcroFields.Item()